# Class: ActiveScope

## ActiveScope()

This is a model scope which excludes any models without is_active = true. In effect, this provides a mechanism for soft-deletes.

## Constructor

#### new ActiveScope()

Source:
  - app/models/scopes/Active.scope.js, line 9

### Extends

- Scope

### Methods

#### (async) filter(to_filter) → {Promise.<*>}

Apply this scope's conditions to a model filter.

##### Parameters:

Name | Type | Description
--- | --- | ---
`to_filter` |  |

Source:
  - app/models/scopes/Active.scope.js, line 15

##### Returns:

Type
  Promise.<*>